- entityDefinitions:
  - IDM_Relationship__get__Sibling_Relationship: '{5d3f4511-afd3-4054-8e6f-c5b006b531af}'
  - IDMB_Relationship__get__Sibling_Relationship: '{d58b3ed3-de40-419a-8891-436ccda5d420}'
- library: '&IDL_MochaBaseSystem;'
  instances:
  - getReferencedInstanceSetMethod: '&IDM_Relationship__get__Sibling_Relationship;'
    # initialValue: 'Method Example@get Dummy Method Name (BA)*S*P(public)'
    forClassId: '&IDC_Relationship;'
    returnsWorkSetId: '&IDI_WorkSet_SiblingRelationship;'
    verb: 'get'
    name: 'Sibling Relationship'
    accessModifierId: '&IDI_AccessModifier_RootA2;'
    referenceInstanceSet: '&IDC_Relationship;'
    answerInstanceSet: '&IDR_Relationship__has_sibling__Relationship;'
    singular: yes
    
  - returnInstanceSetMethodBinding: '&IDMB_Relationship__get__Sibling_Relationship;'
    executesMethod: '&IDM_Relationship__get__Sibling_Relationship;'
    # parameterAssignments:
    # - globalIdentifier: '{5e89d13d-70e7-45e1-886c-ca2244eb3edf}'
    #   assignsToParameter: '&IDC_Method;'
    #   assignsFromWorkData: '&IDI_WorkSet_MethodSingular;'